﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable table = new DataTable();

        table.Columns.Add(new DataColumn() { ColumnName = "NumericColumn", DataType = typeof(double) });
        table.Columns.Add(new DataColumn() { ColumnName = "Name", DataType = typeof(string) });
        table.Columns.Add(new DataColumn() { ColumnName = "BirthDate", DataType = typeof(DateTime) });
        table.Columns.Add(new DataColumn() { ColumnName = "Country", DataType = typeof(string) });

        for (double i = 10; i < 1000; i++)
        {
            DataRow row = table.NewRow();
            row["NumericColumn"] = i / 10.0;
            row["Name"] = string.Format("Name {0}", i);
            row["BirthDate"] = new DateTime(2000, 12, 1);
            row["Country"] = "USA";
            table.Rows.Add(row);
        }

        WebDataGrid1.DataSource = table;
        WebDataGrid1.DataBind();
    }
}